Qt Cryptographic Architecture: QCA::KeyStoreEntryWatcher Class Reference

# QCA::KeyStoreEntryWatcher Class Reference
[QCA user API]

Class to monitor the availability of a KeyStoreEntry. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::KeyStoreEntryWatcher:

Collaboration diagram for QCA::KeyStoreEntryWatcher:

[legend]

List of all members.

## Signals
void | available ()
void | unavailable ()
## Public Member Functions
KeyStoreEntry | entry () const
| KeyStoreEntryWatcher (const KeyStoreEntry &e, QObject *parent=0)
## Friends
class | Private

## Detailed Description

Class to monitor the availability of a KeyStoreEntry.

Some KeyStore types have the concept of an entry that can be available only part of the time (for example, a smart card that can be removed). This class allows you to identify when a KeyStoreEntry becomes available / unavailable.

Note:
  You can also monitor availability of a whole KeyStore, using KeyStoreManager::keyStoreAvailable() signal, and the KeyStore::unavailable() signal.

See also:
  KeyStore for more discussion on availability of keys and related objects.

## Constructor & Destructor Documentation

QCA::KeyStoreEntryWatcher::KeyStoreEntryWatcher | ( | const KeyStoreEntry & | e,
|  | QObject * | parent = `0` |
| ) |  |  | `[explicit]`

Standard constructor.

This creates an object that monitors the specified KeyStore entry, emitting available() and unavailable() as the entry becomes available and unavailable respectively.

Parameters:

  | e | the KeyStoreEntry to monitor
  | parent | the parent object for this object

## Member Function Documentation

void QCA::KeyStoreEntryWatcher::available | ( |  | ) | `[signal]`

This signal is emitted when the entry that is being monitored becomes available.

KeyStoreEntry QCA::KeyStoreEntryWatcher::entry | ( |  | ) | const

The KeyStoreEntry that is being monitored.

void QCA::KeyStoreEntryWatcher::unavailable | ( |  | ) | `[signal]`

This signal is emitted when the entry that is being monitored becomes unavailble.

The documentation for this class was generated from the following file:

- qca_keystore.h